path: /build/build/rexml-dev-ruby-3-3.3.5.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge dev-ruby/rexml:3 -pv -t && \
    USE="-ruby_targets_ruby27 -ruby_targets_ruby30 -ruby_targets_ruby32 -test ruby_targets_ruby31" emerge -j ${JOBS} --nodeps dev-ruby/rexml:3
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rexml && luet-portage --dir /pkgdir/rexml
    dev-ruby/rexml:3 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:7309885d1b8513cf48eb3340c59c896cb9c995dde235ac5f040b4c4f364df5ca
  package:
    name: rexml
    version: 3.3.5
    category: dev-ruby-3
    use_flags:
    - -ruby_targets_ruby27
    - -ruby_targets_ruby30
    - -ruby_targets_ruby32
    - -test
    - ruby_targets_ruby31
    requires:
    - name: rubygems
      version: '>=0'
      category: virtual
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: REXML is an XML toolkit for Ruby
    uri:
    - https://github.com/ruby/rexml
    license: BSD-2
    buildtimestamp: 2024-08-16 20:58:17.470908672 +0000 UTC m=+70.086160748
    labels:
      BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) )
        ruby_targets_ruby31? ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30?
        ( test? ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? (
        test? ( dev-ruby/rake[ruby_targets_ruby27(-)] ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) test? ( ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)]
        ) ruby_targets_ruby31? ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30?
        ( virtual/rubygems[ruby_targets_ruby30(-)] ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)]
        ) )
      DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
        test test
      RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
        ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
        ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
        ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
        ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
      emerge.packages: dev-ruby/rexml:3
      kit: ruby-kit
      original.package.name: dev-ruby/rexml
      original.package.slot: "3"
      original.package.version: 3.3.5
    treedir: /build/packages
  package_dir: /pkgdir/rexml
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d31bf0cd579bfbcedfed34cdc12163d29678e493a146fbb432cd23999dbb08b6
compressiontype: zstd
files:
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/attlistdecl.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/attribute.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/cdata.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/child.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/comment.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/doctype.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/document.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/dtd/attlistdecl.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/dtd/dtd.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/dtd/elementdecl.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/dtd/entitydecl.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/dtd/notationdecl.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/element.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/encoding.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/entity.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/formatters/default.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/formatters/pretty.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/formatters/transitive.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/functions.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/instruction.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/light/node.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/namespace.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/node.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/output.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parent.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parseexception.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/baseparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/lightparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/pullparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/sax2parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/streamparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/treeparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/ultralightparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/parsers/xpathparser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/quickpath.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/rexml.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/sax2listener.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/security.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/source.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/streamlistener.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/text.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/undefinednamespaceexception.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/validation/relaxng.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/validation/validation.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/validation/validationexception.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/xmldecl.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/xmltokens.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/xpath.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml/xpath_parser.rb
- usr/lib64/ruby/gems/3.1.0/gems/rexml-3.3.5/lib/rexml.rb
- usr/lib64/ruby/gems/3.1.0/specifications/rexml-3.3.5.gemspec
- usr/share/doc/rexml-3.3.5/NEWS.md.bz2
- usr/share/doc/rexml-3.3.5/README.md.bz2
- var/db/pkg/dev-ruby/rexml-3.3.5/BDEPEND
- var/db/pkg/dev-ruby/rexml-3.3.5/BUILD_TIME
- var/db/pkg/dev-ruby/rexml-3.3.5/CATEGORY
- var/db/pkg/dev-ruby/rexml-3.3.5/CBUILD
- var/db/pkg/dev-ruby/rexml-3.3.5/CFLAGS
- var/db/pkg/dev-ruby/rexml-3.3.5/CHOST
- var/db/pkg/dev-ruby/rexml-3.3.5/CONTENTS
- var/db/pkg/dev-ruby/rexml-3.3.5/COUNTER
- var/db/pkg/dev-ruby/rexml-3.3.5/CXXFLAGS
- var/db/pkg/dev-ruby/rexml-3.3.5/DEFINED_PHASES
- var/db/pkg/dev-ruby/rexml-3.3.5/DEPEND
- var/db/pkg/dev-ruby/rexml-3.3.5/DESCRIPTION
- var/db/pkg/dev-ruby/rexml-3.3.5/EAPI
- var/db/pkg/dev-ruby/rexml-3.3.5/FEATURES
- var/db/pkg/dev-ruby/rexml-3.3.5/HOMEPAGE
- var/db/pkg/dev-ruby/rexml-3.3.5/INHERITED
- var/db/pkg/dev-ruby/rexml-3.3.5/IUSE
- var/db/pkg/dev-ruby/rexml-3.3.5/IUSE_EFFECTIVE
- var/db/pkg/dev-ruby/rexml-3.3.5/KEYWORDS
- var/db/pkg/dev-ruby/rexml-3.3.5/LDFLAGS
- var/db/pkg/dev-ruby/rexml-3.3.5/LICENSE
- var/db/pkg/dev-ruby/rexml-3.3.5/PF
- var/db/pkg/dev-ruby/rexml-3.3.5/RDEPEND
- var/db/pkg/dev-ruby/rexml-3.3.5/RESTRICT
- var/db/pkg/dev-ruby/rexml-3.3.5/SIZE
- var/db/pkg/dev-ruby/rexml-3.3.5/SLOT
- var/db/pkg/dev-ruby/rexml-3.3.5/USE
- var/db/pkg/dev-ruby/rexml-3.3.5/environment.bz2
- var/db/pkg/dev-ruby/rexml-3.3.5/repository
- var/db/pkg/dev-ruby/rexml-3.3.5/rexml-3.3.5.ebuild
package_cacheimage: ""
runtime:
  name: rexml
  version: 3.3.5
  category: dev-ruby-3
  use_flags:
  - -ruby_targets_ruby27
  - -ruby_targets_ruby30
  - -ruby_targets_ruby32
  - -test
  - ruby_targets_ruby31
  requires:
  - name: rubygems
    version: '>=0'
    category: virtual
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: REXML is an XML toolkit for Ruby
  uri:
  - https://github.com/ruby/rexml
  license: BSD-2
  labels:
    BDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( test? ( dev-ruby/rake[ruby_targets_ruby32(-)] ) ) ruby_targets_ruby31?
      ( test? ( dev-ruby/rake[ruby_targets_ruby31(-)] ) ) ruby_targets_ruby30? ( test?
      ( dev-ruby/rake[ruby_targets_ruby30(-)] ) ) ruby_targets_ruby27? ( test? ( dev-ruby/rake[ruby_targets_ruby27(-)]
      ) ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) test? (
      ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] ) )
    DEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    IUSE: ruby_targets_ruby27 ruby_targets_ruby30 ruby_targets_ruby31 ruby_targets_ruby32
      test test
    RDEPEND: ruby_targets_ruby32? ( dev-lang/ruby:3.2 ) ruby_targets_ruby31? ( dev-lang/ruby:3.1
      ) ruby_targets_ruby30? ( dev-lang/ruby:3.0 ) ruby_targets_ruby27? ( dev-lang/ruby:2.7
      ) ruby_targets_ruby32? ( virtual/rubygems[ruby_targets_ruby32(-)] ) ruby_targets_ruby31?
      ( virtual/rubygems[ruby_targets_ruby31(-)] ) ruby_targets_ruby30? ( virtual/rubygems[ruby_targets_ruby30(-)]
      ) ruby_targets_ruby27? ( virtual/rubygems[ruby_targets_ruby27(-)] )
    emerge.packages: dev-ruby/rexml:3
    kit: ruby-kit
    original.package.name: dev-ruby/rexml
    original.package.slot: "3"
    original.package.version: 3.3.5
